# react-native-show-hide-toggle-box
React Native Toggle Box for showing/hiding content with sliding effect. Should looks like classical [slideToggle()](http://api.jquery.com/slidetoggle/) from jQuery. 

* ToggleBox must be surrounded with `ScrollView` (not as the closest parent)
* PRs welcome

## Demo

![Showtime](react-native-show-hide-toggle-box.gif?raw=true "Showtime")

## Example

```javascript
import ToggleBox from 'react-native-show-hide-toggle-box'

...

<ScrollView style={styles.container}>
  <ToggleBox label='Show me something' value='asd' style={{backgroundColor: '#ddd', borderBottomWidth: 1}}>
    <View style={{height: 300, alignItems: 'center', justifyContent: 'center', backgroundColor: '#eee'}}>
      <Text>Hello, how are you?</Text>
    </View>
  </ToggleBox>
</ScrollView>
```

## Props
|Prop name | Default prop | Required |
| --- | --- | --- |
| `arrowColor` | `rgb(178, 178, 178)` | - |
| `arrowSize` | `30` | - |
| `children` | - | Yes |
| `expanded` | `false` | - |
| `label` | - | Yes |
| `style` | `{}` | - |
| `value` | `null` | - | 
